Mapflow 数据 API
Mapflow Data API 可用于管理自定义影像、将其组织为镶嵌图,以及从外部提供商搜索卫星影像。可通过 Processing API 使用您的影像进行 AI 分析。
基本网址
https://api.mapflow.ai/rest
验证
所有 API 请求都需要 API 令牌。在配置文件设置中生成您的配置文件设置。
curl -H "Authorization: Bearer YOUR_API_TOKEN" \
https://api.mapflow.ai/rest/rasters/memory
有关详细信息,请参阅授权指南。
快速入门
只需 3 个步骤即可上传和处理您的图像:
创建马赛克
curl -X POST https://api.mapflow.ai/rest/rasters/mosaic \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name": "My Aerial Survey", "tags": ["survey-2024"]}'
响应:
{“id”:“mosaic-uuid”,...}上传图片到马赛克
curl -X POST https://api.mapflow.ai/rest/rasters/mosaic/{mosaic-uuid}/image \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: multipart/form-data" \ -F "file=@/path/to/orthophoto.tif"
响应:
{“id”:“image-uuid”,...}使用上传的图像运行处理
curl -X POST https://api.mapflow.ai/rest/processings/v2 \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "Building Detection", "projectId": "project-uuid", "wdName": "🏠 Buildings", "geometry": {...}, "params": { "sourceParams": { "myImagery": {"mosaicId": "mosaic-uuid"} } } }'
后续步骤: 探索卫星图像搜索、管理存储限制,或查看完整的 API 参考。
包含所有端点、参数和示例的完整 API 参考文档,请参阅 API参考。
